package com.ruoyi.project.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.mapper.TrsSiteUpdateMapper;
import com.ruoyi.project.domain.TrsSiteUpdate;
import com.ruoyi.project.service.ITrsSiteUpdateService;
import com.ruoyi.common.core.text.Convert;

/**
 * 更新监测Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-06-09
 */
@Service
public class TrsSiteUpdateServiceImpl implements ITrsSiteUpdateService 
{
    @Autowired
    private TrsSiteUpdateMapper trsSiteUpdateMapper;

    /**
     * 查询更新监测
     * 
     * @param id 更新监测主键
     * @return 更新监测
     */
    @Override
    public TrsSiteUpdate selectTrsSiteUpdateById(Long id)
    {
        return trsSiteUpdateMapper.selectTrsSiteUpdateById(id);
    }

    /**
     * 查询更新监测列表
     * 
     * @param trsSiteUpdate 更新监测
     * @return 更新监测
     */
    @Override
    public List<TrsSiteUpdate> selectTrsSiteUpdateList(TrsSiteUpdate trsSiteUpdate)
    {
        return trsSiteUpdateMapper.selectTrsSiteUpdateList(trsSiteUpdate);
    }

    /**
     * 新增更新监测
     * 
     * @param trsSiteUpdate 更新监测
     * @return 结果
     */
    @Override
    public int insertTrsSiteUpdate(TrsSiteUpdate trsSiteUpdate)
    {
        return trsSiteUpdateMapper.insertTrsSiteUpdate(trsSiteUpdate);
    }

    /**
     * 修改更新监测
     * 
     * @param trsSiteUpdate 更新监测
     * @return 结果
     */
    @Override
    public int updateTrsSiteUpdate(TrsSiteUpdate trsSiteUpdate)
    {
        return trsSiteUpdateMapper.updateTrsSiteUpdate(trsSiteUpdate);
    }

    /**
     * 批量删除更新监测
     * 
     * @param ids 需要删除的更新监测主键
     * @return 结果
     */
    @Override
    public int deleteTrsSiteUpdateByIds(String ids)
    {
        return trsSiteUpdateMapper.deleteTrsSiteUpdateByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除更新监测信息
     * 
     * @param id 更新监测主键
     * @return 结果
     */
    @Override
    public int deleteTrsSiteUpdateById(Long id)
    {
        return trsSiteUpdateMapper.deleteTrsSiteUpdateById(id);
    }


    public void doMonitorInsert() {
        trsSiteUpdateMapper.clearSiteUpdate();
        trsSiteUpdateMapper.doMonitorInsert();
    }
}
